QGIS Application - Bug report #11263
add map to composer do crash
2014-09-24 02:17 AM - gillian milani

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master
Operating System: ubuntu
Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 19562

Description

From archive, it's seems to be a recursive bug. First, i wanted to open a 2.3 ggs with 2.5; and it made crash. Then | saw it could be good
to remove map composer when changing versions. It does solved the problem. But | search a little bit more and | realized that adding a

map to a composer make crash 2.5.
gdb when adding map to composer:

[Inferior 1 (process 8787) exited with code 0177]

History

#1 - 2014-09-24 03:21 AM - Nyall Dawson
- Status changed from Open to Feedback

Can you please attach the project which causes the crash?

#2 - 2014-09-24 03:39 AM - gillian milani
- File testComposer.qgs added

| cannot spread the original project. But i've created one with the same behavior (which seems to be linked to composer). I've created it with 2.4 and it

crashes with 2.5.

#3 - 2014-09-24 03:21 PM - Nyall Dawson

| can't reproduce the crash - this project opens without issue for me.

#4 - 2014-09-24 11:20 PM - gillian milani

- Target version changed from Future Release - High Priority to Future Release - Lower Priority

So seems to be local...

from gdb :

Program received signal SIGSEGV, Segmentation fault.
QDomDocument::createElement (this=0x1, tagName-=...) at dom/qdom.cpp:6916

6916 dom/qdom.cpp: No such file or directory.

Do you have some hints about where can be the problem ?

#5 - 2014-09-24 11:24 PM - Nyall Dawson

No idea sorry - maybe try reinstalling gt?

#6 - 2014-10-02 04:06 PM - Nyall Dawson
- Resolution set to invalid
- Status changed from Feedback to Closed

Seems to be a local problem, closing.

Files

testComposer.qgs 12.3 KB 2014-09-24 gillian milani
